Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.tools.shell
[Groovy] Class CommandAlias

    java.lang.Object
      org.codehaus.groovy.tools.shell.CommandSupport
          org.codehaus.groovy.tools.shell.CommandAlias

    class CommandAlias
    extends CommandSupport

Provides simple command aliasing.

Authors:
  Jason Dillon

Version:
  \$Id: CommandAlias.groovy 7598 2007-08-23 03:46:59Z user57 \$

Field Summary

Fields inherited from class CommandSupport
NEWLINE, io, log, messages, registry, shell

Property Summary
`String` | `targetName`

Constructor Summary
`CommandAlias(Shell shell, String name, String shortcut, String target)`

Method Summary
`protected List` | `createCompletors()`
`Object` | `execute(List args)`
`String` | `getDescription()`
`String` | `getHelp()`
`boolean` | `getHidden()`
`Command` | `getTarget()`
`String` | `getUsage()`

Methods inherited from class CommandSupport
alias, assertNoArguments, createCompletors, fail, fail, getBinding, getBuffer, getBuffers, getClassLoader, getCompletor, getDescription, getHelp, getHistory, getImports, getUsage, getVariables

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### targetName

    final String targetName

Constructor Detail

### CommandAlias

    CommandAlias(Shell shell, String name, String shortcut, String target)

Method Detail

### createCompletors

    protected List createCompletors()

### execute

    Object execute(List args)

### getDescription

    String getDescription()

### getHelp

    String getHelp()

### getHidden

    boolean getHidden()

### getTarget

    Command getTarget()

### getUsage

    String getUsage()

Copyright © 2003-2010 The Codehaus. All rights reserved.